<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_baec81a782bb3" . "d538149a922568" . "8246e" => base64_decode("ZXZlbnRfc291" . "cmNl"), "_b070ffda70d6" . "73baa2ab1a4ca" . "13c254c" => base64_decode("cHJldl91c2V" . "ybmFtZQ=="), "_5439477835f9c7cc26a9" . "88f88cb19553" => base64_decode("cHJldl9m" . "dWxsX25h" . "bWU="), "_dd45fa0d" . "6586ab8e7" . "3f6f6f116" . "b1a970" => base64_decode("cHJld" . "l91c2" . "VyX2l" . "k"), "user" . "_id" => base64_decode("dXNlcl9" . "pZA=="), "con" . "tex" . "t" => base64_decode("Y29udGV4" . "dA=="), "_539cf4259a14" . "9ca9dbb739b2c" . "db7c608" => base64_decode("ZW1haWxfYWRkcm" . "Vzcw=="), "_28c85ce81fee6532980262893b6" . "f2425" => base64_decode("dXNlcm5hbW" . "U="), "_8cca4dd34e20c5344bb2a3" . "0f2533c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_eb6cb46237" . "35c07195e93" . "735d659236d" => base64_decode("cHJldl9lbWFpbF9hZGRyZ" . "XNz"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["conte" . "xt"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["contex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8cca4dd34e20c5344" . "bb2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_28c85ce81fee6532980262893b6" . "f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_539cf4259a149c" . "a9dbb739b2cdb7c" . "608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dd45fa0d6586ab8e73f6f6f116b1" . "a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5439477835f9c7c" . "c26a988f88cb1955" . "3"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b070ffda70d673ba" . "a2ab1a4ca13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_eb6cb4623735c07195e9" . "3735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_baec81a782bb3d538149a9225688" . "246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}